# Hyperspectral Fourier-Mellin algorithm (HYFM)

## How to register

Run `./HYFM-reg` with the following parameters:

`./HYFM-reg <reference_image.mat> <target_image.mat>`

Outputs:

* Textual result in console: scale, angle of rotation, and shifts over x and y axis.
* Original band 0 of reference and target images in PGM format.
* Registered band 0 image in PGM format.
* Registered hyperspectral image in MAT format.

## Additional program

`rot_scal` allows to generate new target images with specific a scale and angle of rotation for testing the performance of the method.

Use:

`./rot_scal <image.mat> <scale> <angle>`

The output image is saved in the same directory with the name `rot_scal_out.mat`.

## Examples

Using Santa Barbara Line images:

`./HYFM-reg SantaBarbaraLine2013.mat SantaBarbaraLine2014.mat`

Using Pavia University image:

1. `./rot_scal PaviaUniversity.mat 2.0 90`
2. `./HYFM-reg PaviaUniversity.mat ./rot_scal_out.mat`

## Citation

This algorithm was presented in the paper "Fourier-Mellin registration of two hyperspectral images" that is under revision. If you use this program in your research projects, we encourage you to please cite our work:

```
@article{alvaro2016hyfm,
    title = {{Fourier-Mellin} registration of two hyperspectral images},
    journal = {International Journal of Remote Sensing},
    volume = {XX},
    number = {XX},
    year = {XXXX},
    pages = {XXXX-XXXX},
    author={Ord\'o\~nez, \'Alvaro and Arg{\"u}ello, Francisco and Heras, Dora B}
}
```